window.addEventListener('load', function(){

    // Here's the data that we'll use to populate the image gallery
    var images = [
      {path: "images/imageGallery1.jpg", description:"Description: NFL Football"},
      {path: "images/imageGallery2.jpg", description:"Description: NFL Football Field"},
      {path: "images/imageGallery3.jpg", description:"Description: The Moon"},
      {path: "images/imageGallery4.jpg", description:"Description: Outerspace"},
      {path: "images/imageGallery5.jpg", description:"Description: Computer chips"},
      {path: "images/imageGallery6.jpg", description:"Description: Pizza"}
    ];
  
  
    // STEP 1
    // Get handles on the elements we need to work with
    
    const mainImg = document.getElementById("mainImg");
    const caption = document.getElementById("caption");
    const btnPrev = document.getElementById("btnPrev");
    const btnNext = document.getElementById("btnNext");
    console.log(mainImg, caption, btnPrev, btnNext);
    let currentImg = 0;
  
  
    // STEP 2
    // Create a function to display an image object
    function showImage(imgObj){
      mainImg.src = imgObj.path;
      mainImg.alt = imgObj.description;
      caption.innerHTML = imgObj.description;
    }
  
    showImage(images[currentImg]);
  
  
    // STEP 3
    // add an event handler function to the 'next' button
    btnNext.addEventListener("click", function(){
      currentImg++;
      if(currentImg == images.length){
        currentImg = 0;
      }
      showImage(images[currentImg]);
    })
  
    // STEP 4
    // add an event handler function to the 'prev' button
    
    btnPrev.addEventListener("click", function(){
      currentImg--;
      if(currentImg < 0){
        currentImg = images.length - 1;
      }
      showImage(images[currentImg]);
    });
  
  
  });
  